

body {
    margin: 0
}

.main {
    grid-template-columns: 1fr;
    display: grid;
}

.title {
    text-decoration: underline;
    font-weight: bolder;
    font-family: 'Courier New', Courier, monospace;
    text-shadow: none;
}

.content {
    padding: 6px;
    font-family: 'Courier New', Courier, monospace;
    background-image: url('bgs/water2.webp');
    background-color: black;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100vw;
    font-size: larger;
    font-weight: bolder;
    color: white;
    text-align: center;
}

.content img {
    max-width: 95vw;
}

.reactions {
    display: flex;
    flex-direction: row;
    gap: 1rem;
}

@media screen and (min-width: 768px) {
    .main {
        grid-template-columns: 1fr 1fr 1fr;
    }
}


.color-cycle-text {
    background: linear-gradient(90deg, red, orange, yellow, green, blue, indigo, violet);
    background-clip: text;
    color: transparent;
    background-size: 200% auto;
    animation: colorCycle 1s infinite linear;
    text-shadow: none;
}

@keyframes colorCycle {
    0% {
        background-position: 0% 50%;
    }

    50% {
        background-position: 100% 50%;
    }

    100% {
        background-position: 200% 50%;
    }
}
